pub mod systemd;

use std::error::Error;
use std::path::PathBuf;

pub trait ServiceFileGenerator {
    fn create_service_files(bin_path: PathBuf, name: &str, server: &str) -> Result<(), Box<dyn Error>>;
    fn delete_service_files(name: &str) -> Result<(), Box<dyn Error>>;
}